<?php
include "ver_sessao.php";
include "conecta.php";


if ($_GET[acao]=='excluir_logo') {
	$_POST[id]=$_GET[id];
	$_POST[acao]=$_GET[acao];
}



function index(){



	cabecalho('Cadastro de Empresa',2);
		
	if($_POST[busca_cod] != '')
		$extra .= " AND empr_nb_id = '$_POST[busca_cod]' ";
	if($_POST[busca_nome] != '')
		$extra .= " AND empr_tx_nome LIKE '%$_POST[busca_nome]%' ";
	if($_POST[busca_cnpj] != '')
		$extra .= " AND empr_tx_cnpj = '$_POST[busca_cnpj]' ";
	if($_POST[busca_tipo] != '')
		$extra .= " AND empr_tx_pessoa = '$_POST[busca_tipo]' ";
	if($_POST[busca_cidade] != ''){
		$extra .= " AND empr_nb_cidade = '$_POST[busca_cidade]' ";
		$a_cida = carregar('cidade',$_POST[busca_cidade]);
	}

	// $extra .= " AND (empr_tx_pessoa='Pessoa Física' OR empr_tx_pessoa='Pessoa Jurídica')";

	
	$sql = selecionar("empresa",'empr_tx_status',"ativo"," $extra  ".grid::order_by('empr_nb_id'),1);
	$BUSCA = grid::gerar_paginacao($sql);
	
	//CAMPOS
	$c[] = cactux::campo('Código:','busca_cod',$_POST[busca_cod],1);
	$c[] = cactux::campo('Nome:','busca_nome',$_POST[busca_nome],5);
	$c[] = cactux::campo('CPF/CNPJ:','busca_cnpj',$_POST[busca_cnpj],2,MASCARA_CNPJ);
	
	//BOTOES
	$buscar = cactux::botao_submit_busca('Buscar',2,'index');
	$inserirj = cactux::botao('Inserir',2,'inserir_empresa');
	$imprimir = cactux::botao('Imprimir',2,'imprimir');
	$status = cactux::msg_status();
	
	cactux::abre_form();
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3],$c[4]);
	cactux::linha_fieldset($buscar,$inserirj,$imprimir);
	cactux::linha_fieldset($status);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	
	cactux::acao_botao('inserir_empresa','layout_empresa');
	
	//PARA MANDAR A CONSULTA PARA A TELA DE IMPRESSÃO
	$sql = str_replace(",",";",$sql);
	cactux::acao_botao('imprimir','imprime_busca','sql',$sql,'','','target=_blank');


	$cabecalho[] = array('COD.','NOME','CIDADE','CPF/CNPJ','CONTATO','FONE','','');
	$cabecalho[] = 'c,e,e,e,e,e,e';
	$cabecalho[] = '6%,,15%,12%,20%,10%,2%,2%';
	
	while ($a = carrega_array($BUSCA[0])) {
		
		$excluir = ".icone_excluir($a[0],exclui_empresa)";
		$modificar=".icone_modificar($a[empr_nb_id],modifica_empresa)";
		if($a[empr_tx_fone]!='')
			$br = "<BR>";
		
		if($a[empr_nb_cidade]) {
			$a_cida = carregar('cidade',$a[empr_nb_cidade]); 
			$nome_cidade = trim($a_cida[cida_tx_nome]).'/'.$a_cida[cida_tx_uf];
		} else {
			$nome_cidade = '';
		}
		
		$valores[] = array( $a[empr_nb_id], $a[empr_tx_nome], $nome_cidade, $a[empr_tx_cnpj], $a[empr_tx_contato],
							$a[empr_tx_fone].$br.$a[empr_tx_cel], $modificar, $excluir );
		unset($br);
		
	}
	
	grid::gerar($cabecalho,$valores);
	grid::paginar($BUSCA);
	
	rodape();
	
}




function linha_fornecimento(){
	global $a_mod_prod;
	$a_mod=carregar('empresa',$_POST[id]);

	$nome = cactux::texto('Nome Fantasia:',$a_mod[empr_tx_nome],3);
	$fone = cactux::texto('Telefone:',$a_mod[empr_tx_fone],2);
	$cel = cactux::texto('Celular:',$a_mod[empr_tx_cel],2);
	$email = cactux::texto('E-Mail:',$a_mod[empr_tx_email],3);

	$produto = cactux::combo_net('Produto:','produto',$a_mod_prod[prod_nb_id],$a_mod_prod[prod_tx_nome],4,array('combonet/busca_div.php?c=produto','combonet/busca_net.php?c=produto'));
	$codigo = cactux::campo('Código:','codigo',$a_mod_prod[lifo_tx_codigo],3);
	$status = cactux::msg_status();

	
	$b1 = cactux::botao_submit('Gravar',2,'cadastra_lista','id,id_lifo',"$_POST[id],$a_mod_prod[lifo_nb_id]");
	$b3 = cactux::botao('Finalizar',2,'finalizar');
	$b2 = cactux::botao('Voltar',2,'voltar');

	cabecalho('Cadastro de Empresa',2);
	


	cactux::abre_form();


	cactux::abre_fieldset('Dados do Fornecedor');
	cactux::linha_fieldset($nome,$fone,$cel,$email);
	cactux::fecha_fieldset();
	cactux::abre_fieldset('Dados do Produto');
	cactux::linha_fieldset($produto,$codigo);
	cactux::linha_fieldset($b2,$b1,$b3,$status);
	cactux::fecha_fieldset();


	cactux::fecha_form();
	acao_botao('voltar','modifica_empresa','id',$_POST[id]);
	acao_botao('finalizar','index');


	$sql = selecionar('lifornecedor,produto','lifo_tx_status','ativo'," AND lifo_nb_empresa = '$_POST[id]' ORDER BY prod_tx_nome ASC");
	while($a=carrega_array($sql)){

		$excluir = ".icone_excluir($a[0],excluir_produto)";
		$modificar=".icone_modificar($a[0],modificar_produto)";

		$val[] = array(++$i,$a[lifo_tx_codigo],$a[prod_tx_nome],$modificar,$excluir);
	}
	
	$cab[] = array('','CÓDIGO','PRODUTO','','');
	$cab[] = 'c,c,e,e';
	$cab[] = '10%,30%,,2%,2%';

	grid::gerar($cab,$val);

	exit;
}




function layout_empresa(){
	global $CONFIGURA;
	
	global $a_mod;
	global $a_mod_cida;
	global $a_mod_bair;	
	global $a_mod_cida2;
	global $a_mod_bair2;
	

	
	if( $a_mod[empr_nb_banco] > 0 )
		$a_banco = carregar('banco',$a_mod[empr_nb_banco]);
	
	if( $a_mod[empr_nb_configuraboleto] > 0 )
		$a_conta = carregar('configuraboleto',$a_mod[empr_nb_configuraboleto]);


	
	cabecalho('Cadastro de Empresa',2);
	
	//DADOS FORNECEDOR
	$razao = cactux::campo('Razão Social:','razao',$a_mod[empr_tx_razao],5);	
	$nome = cactux::campo('Nome Fantasia:','nome',$a_mod[empr_tx_nome],5);

	$cnpj = cactux::campo('CNPJ/CPF:','cnpj',$a_mod[empr_tx_cnpj],3,MASCARA_CNPJ);
	$estadual = cactux::campo('Inscrição Estadual:','estadual',$a_mod[empr_tx_estadual],2);
	$municipal = cactux::campo('Inscrição Municipal:','municipal',$a_mod[empr_tx_municipal],2);
	$cnae = cactux::campo('CNAE:','cnae',$a_mod[empr_tx_cnae],3);

	$url_logo = '../'.$CONFIGURA[PATH].'/galeria/logo.jpg';
	if( file_exists($url_logo) ) {
		$path_parts = pathinfo( __FILE__ ); // OBTEM O NOME DO ARQUIVO ATUAL
		$exibir_logo = "&nbsp; &nbsp;<a class=relatorio target=_blank href='$url_logo?t=".time()."'>[Exibir]</a>&nbsp; &nbsp;<a class=relatorio href='$path_parts[basename]?acao=excluir_logo&id=$_POST[id]'  onclick=\"return confirm('Deseja realmente excluir o arquivo?')\">[Excluir]</a>";
	} else {
		$exibir_logo = "&nbsp;  &nbsp;(APENAS ARQUIVOS .jpg)";
	}
	$logomarca = cactux::campo_arquivo('Logomarca:'.$exibir_logo,'logomarca',5);

	
	//ENDEREÇO
	$logradouro = cactux::campo('Logradouro(Rua, Avenida, Travessa...):','logradouro',$a_mod[empr_tx_endereco],6);
	$num = cactux::campo('Nº:','num',$a_mod[empr_tx_numero],2);
	$complemento = cactux::campo('Complemento:','complemento',$a_mod[empr_tx_complemento],2);
	
	$bairro = cactux::campo('Bairro:','bairro',$a_mod[empr_tx_bairro],4);
//	$bairro = cactux::combo_net('Bairro:','bairro',$a_mod[empr_nb_bairro],$a_mod_bair[bair_tx_nome],4,array('busca_bairro.php','busca_bairro_net.php'));
	$cidade = cactux::combo_net('Cidade:','cidade',$a_mod[empr_nb_cidade],$a_mod_cida[cida_tx_nome],4,array('combonet/busca_cidade.php','combonet/busca_cidade_net.php'));
	$cep = cactux::campo('CEP:','cep',$a_mod[empr_tx_cep],2,MASCARA_CEP);
	
	//ENDEREÇO COBRANÇA
	$logradouro2 = cactux::campo('Logradouro(Rua, Avenida, Travessa...):','logradouro2',$a_mod[empr_tx_endereco2],6);
	$num2 = cactux::campo('Nº:','num2',$a_mod[empr_tx_numero2],2);
	$complemento2 = cactux::campo('Complemento:','complemento2',$a_mod[empr_tx_complemento2],2);
	
	$bairro2 = cactux::campo('Bairro:','bairro2',$a_mod[empr_tx_bairro2],4);
	$cidade2 = cactux::combo_net('!Cidade:','cidade2',$a_mod[empr_nb_cidade2],$a_mod_cida2[cida_tx_nome],4,array('combonet/busca_cidade.php','combonet/busca_cidade_net.php'));
	$cep2 = cactux::campo('CEP:','cep2',$a_mod[empr_tx_cep2],2,MASCARA_CEP);
	
	//CONTATOS
	$contato = cactux::campo('Contato:','contato',$a_mod[empr_tx_contato],2);
	$fone = cactux::campo('Telefone:','fone',$a_mod[empr_tx_fone],2,MASCARA_FONE);
	$cel = cactux::campo('Celular:','cel',$a_mod[empr_tx_cel],2,MASCARA_FONE);
	$email = cactux::campo('E-Mail:','email',$a_mod[empr_tx_email],4);

	//CONTATO CONTADOR
	$nomeCont = cactux::campo('Nome:','nomeCont',$a_mod[empr_tx_nomeContador],2);
	$cpfCont = cactux::campo('CPF/CNPJ:','cpfCont',$a_mod[empr_tx_cpfContador],2,MASCARA_CNPJ);
	$foneCont = cactux::campo('Telefone:','foneCont',$a_mod[empr_tx_foneContador],2,MASCARA_FONE);
	$emailCont = cactux::campo('E-Mail:','emailCont',$a_mod[empr_tx_emailContador],4);



	// $c[] = cactux::combo_bd('Banco:','banco',$a_banco[banc_nb_id],$a_banco[banc_tx_nome],3,array("busca_div.php?c=banco","busca_net3.php?c=banco"));
	$c[] = cactux::combo_bd('!Banco:','banco',$a_banco[banc_nb_id],$a_banco[banc_tx_nome],3,'banco');
	$c[] = cactux::campo('Agência:','agencia',$a_mod[empr_tx_agencia],2);
	$c[] = cactux::campo('Conta:','conta',$a_mod[empr_tx_conta],2);
	
	//FILDSET COM INFORMAÇÕES FISCAIS	
	// $c2[] = cactux::combo('Cálculo PIS Produto:','pisProduto',array('Incluir','Não Incluir'),$a_mod[empr_tx_pisProduto],2);
	// $c2[] = cactux::combo('Cálculo COFINS Produto:','cofinsProduto',array('Incluir','Não Incluir'),$a_mod[empr_tx_cofinsProduto],2);
	// $c2[] = cactux::combo('Integrar IPI:','ipi',array('Sim','Não'),$a_mod[empr_tx_ipi],2);
	$c2[] = cactux::combo('Código do Regime Tributário CRT:','crt',array('1: Simples Nacional','2: Simples Nacional - excesso de sublimite da receita bruta','3: Regime Normal'),$a_mod[empr_tx_crt],5);
	$c2[] = cactux::combo('Contribuinte ICMS:','icms',array('Sim','Não'),$a_mod[empr_tx_icms],2);
	$c2[] = cactux::campo('Aliquota&nbsp;ICMS&nbsp;(%):','aliquota_icms',mostra_valor($a_mod[empr_tx_icmsPadrao],1),2,MASCARA_VALOR);
	// $c2[] = cactux::combo('Operação:','operacao',array('0: Normal','1: Consumidor Final'),$a_mod[empr_tx_operacao],2);
	// $c2[] = cactux::combo('Indicador de Presença do Comprador:','presenca',array('0: NÃO SE APLICA','1: OPERAÇÃO PRESENCIAL','2: OPERAÇÃO NÃO PRESENCIAL, PELA INTERNET','3: OPERAÇÃO NÃO PRESENCIAL, TELEATENDIMENTO','4: NFC-E EM OPERAÇÃO COM ENGTREGA EM DOMICÍLIO','5: OPERAÇÃO NÃO PRESENCIAL, OUTROS'),$a_mod[empr_tx_presenca],5);

	// FILDSET COM INFORMAÇÕES DA NF-E
	$c3[] = cactux::campo('% da Alíquota Aplicável no Calculo do Crédito - Simples Nacional:','aliquota',mostra_valor($a_mod[empr_tx_aliquota]),6,MASCARA_VALOR);
	$c3[] = cactux::campo('NF-e Série:','nfeSerie',$a_mod[empr_tx_nfeSerie],2);
	$c3[] = cactux::campo('NF-e Numeração:','nfeNumeracao',$a_mod[empr_tx_nfeNumeracao],2);
	$c3[] = cactux::campo('Texto Inutilização da NF-e:','textoInutilizacao',$a_mod[empr_tx_textoInutilizacao],10);

	// FILDSET COM INFORMAÇÕES DA NFC-E
	$c4[] = cactux::campo('NFC-e CSC:','csc',$a_mod[empr_tx_csc],2);
	$c4[] = cactux::campo('NFC-e ID Token:','token',$a_mod[empr_tx_token],3);
	$c4[] = cactux::campo('NFCE Série:','nfceSerie',$a_mod[empr_tx_nfceSerie],2);
	$c4[] = cactux::campo('NFCE Numeração:','nfceNumeracao',$a_mod[empr_tx_nfceNumeracao],3);

	// $c4[] = cactux::campo('CFOP NF-e:','cfopNfe',$a_mod[empr_tx_cfopNfe],2);
	// $c4[] = cactux::campo('CFOP NFC-e:','cfopNfce',$a_mod[empr_tx_cfopNfce],2);

	$c4[] = cactux::campo('Texto Cancelamento da NFCE:','textoCancelamento',$a_mod[empr_tx_textoCancelamento],10);


	// CONFIGURAÇÕES GERAIS
	// $comissao = cactux::campo('Valor Comissão(%):','comissao',mostra_valor($a_mod[empr_tx_comissao],2),2,MASCARA_VALOR);
	// $autorizacao = cactux::combo('Autorização de Compra Gerencial:','autorizacao',array('Sim','Não'),$a_mod[empr_tx_autorizacaoCompra],3);
	// $conta_bancaria = cactux::combo_bd('!Conta Bancária:','conta_bancaria',$a_conta[conf_nb_id],$a_conta[conf_tx_nome],2,'configuraboleto');
	// $impressao=cactux::combo('Impressão&nbsp;NFCE:','impressaoNFCE',array('Cozinha','Caixa'),$a_mod[empr_tx_impressaoNFCE],1);
	// $impressaoCupom=cactux::combo('Modo&nbsp;Impressão:','impressaoCupom',array('Normal','Cozinha'),$a_mod[empr_tx_impressaoCupom],1);

	$autorizacao = cactux::combo('Autorização de Compra Gerencial:','autorizacao',array('Sim','Não'),$a_mod[empr_tx_autorizacaoCompra],3);
	$despesas_fixas = cactux::campo('Despesas Fixas (%):','despesas_fixas',mostra_valor($a_mod[empr_tx_percentualDespesasFixas],1),2,MASCARA_VALOR);
	$margem_atacado = cactux::campo('Margem Atacado (%):','margem_atacado',mostra_valor($a_mod[empr_tx_margemAtacado],1),2,MASCARA_VALOR);
	$margem_varejo = cactux::campo('Margem Varejo (%):','margem_varejo',mostra_valor($a_mod[empr_tx_margemVarejo],1),2,MASCARA_VALOR);
	



	//BOTOES
	if ($_POST[acao] == 'layout_empresa')
		$cadastrar = cactux::botao_submit('Cadastrar',2,'cadastra_empresa','retorno,tipo',"$_POST[retorno],Pessoa Jurídica");
	else
		$cadastrar = cactux::botao_submit('Atualizar',2,'atualiza_empresa','id',"$_POST[id]");
	
	$voltar = cactux::botao('Voltar',2,'voltar');
	
	cactux::abre_form('upload');
	
	cactux::abre_fieldset('Dados da Empresa');
	cactux::linha_fieldset($razao,$nome);
	cactux::linha_fieldset($cnpj,$estadual,$municipal,$cnae);
	cactux::linha_fieldset($logomarca);
	cactux::fecha_fieldset();
	
	cactux::abre_fieldset('Endereço');
	cactux::linha_fieldset($logradouro,$num,$complemento);
	cactux::linha_fieldset($bairro,$cidade,$cep);
	cactux::fecha_fieldset();

	cactux::abre_fieldset('Endereço de Cobrança');
	cactux::linha_fieldset($logradouro2,$num2,$complemento2);
	cactux::linha_fieldset($bairro2,$cidade2,$cep2);
	cactux::fecha_fieldset();

	cactux::abre_fieldset('Contato');
	cactux::linha_fieldset($contato,$fone,$cel,$email);
	cactux::fecha_fieldset();

	cactux::abre_fieldset('Contador');
	cactux::linha_fieldset($nomeCont,$cpfCont,$foneCont,$emailCont);
	cactux::fecha_fieldset();

	cactux::abre_fieldset('Informações Bancárias');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3]);
	cactux::fecha_fieldset();

	cactux::abre_fieldset('Informações Fiscais');
	cactux::linha_fieldset($c2[0],$c2[1],$c2[2]);
	// cactux::linha_fieldset($c2[5],$c2[6]);
	cactux::fecha_fieldset();

	cactux::abre_fieldset('Informações da NF-e');
	cactux::linha_fieldset($c3[0],$c3[1],$c3[2]);
	cactux::linha_fieldset($c3[3]);
	cactux::fecha_fieldset();

	cactux::abre_fieldset('Informações da NFC-e');
	cactux::linha_fieldset($c4[0],$c4[1],$c4[2],$c4[3]);
	// cactux::linha_fieldset($c4[4],$c4[5]);
	cactux::linha_fieldset($c4[4]);
	cactux::fecha_fieldset();


	// $sql_mod2=selecionar('notainformacao','nota_tx_status',"ativo"," AND nota_nb_empresa = '$a_mod[empr_nb_id]'");
	// cactux::abre_fieldset('Informações Adicionais');
	// for($i=0;$i<10;$i++){

	// 	$a_mod2=carrega_array($sql_mod2);

	// 	campo_hidden('id_info[]',$a_mod2[nota_nb_id]);
	// 	$r1=cactux::combo('Tipo:','tipo[]',array('NF-e','NFC-e'),$a_mod2[nota_tx_tipo],1);
	// 	$r2=cactux::campo('Título:','titulo[]',$a_mod2[nota_tx_nome],2);
	// 	$r3=cactux::campo('texto:','texto[]',$a_mod2[nota_tx_texto],7);
	// 	$r4=cactux::texto('',"<a href=# onclick=abre_proximo('div_ret_',".($i+1).")><img src='/galeria/adicionar.png' width=20px></a>");

	// 	if( $i == 0 || $a_mod2[0]!='')	$display='block';	else	$display='none';
			
	// 	echo "<div id=div_ret_".$i." style='display:$display'>";
	// 	cactux::linha_fieldset($r1,$r2,$r3,$r4);
	// 	echo "</div>";
	// }
	
	cactux::fecha_fieldset();
	
	cactux::abre_fieldset('Configurações Gerais');
	cactux::linha_fieldset($autorizacao,$despesas_fixas,$margem_atacado,$margem_varejo);
	cactux::fecha_fieldset();
	
	
	$status =cactux::msg_status();
	
	if ($_POST[acao] == 'layout_empresa')
		cactux::linha_fieldset($voltar,$cadastrar,$status);
	else
		cactux::linha_fieldset($voltar,$cadastrar,$status);
	
	cactux::fecha_form();
	
	if($_POST[retorno]=='venda')
		cactux::acao_botao('voltar','index','',"",'pedido.php');
	else
		cactux::acao_botao('voltar','index');

	
	rodape();

	javascript("

		function abre_proximo(nome,id_proximo) {

			document.getElementById(nome+id_proximo).style.display='block';	
			
		}

	");
	
}




function imprime_busca(){
	
	if($_POST[busca_cod] != '')
		$extra .= " AND empr_nb_id = '$_POST[busca_cod]' ";
	if($_POST[busca_nome] != '')
		$extra .= " AND empr_tx_nome LIKE '%$_POST[busca_nome]%' ";
	if($_POST[busca_cnpj] != '')
		$extra .= " AND empr_tx_cnpj = '$_POST[busca_cnpj]' ";
	if($_POST[busca_tipo] != '')
		$extra .= " AND empr_tx_pessoa = '$_POST[busca_tipo]' ";
	
	$sql = $_POST[sql];
	$sql = str_replace(";",",",$sql);
	$sql = str_replace("\\","",$sql);
	$sql = query($sql);
	
	cabecaRelatorio('RELATÓRIO DE EMPRESAS');
	
	cactux::abre_form('');
	
	$c[]=cactux::texto('Código:',$_POST['busca_cod'],1);
	$c[]=cactux::texto('Nome:',$_POST['busca_nome'],4);
	$c[]=cactux::texto('CPF/CNPJ:',$_POST['busca_cnpj'],3);
	$c[]=cactux::texto('Tipo:',$_POST['busca_tipo'],2);
	
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3]);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	echo"<br>";
	
	$cabecalho[] = array('CÓD.','NOME','CNPJ/CPF','CONTATO','FONE');
	$cabecalho[] = 'c,e,e,e,e,e';
	$cabecalho[] = '6%,,15%,12%,20%,15%,2%,2%';
	
	while( $a = carrega_array($sql) ){
		
		if($a[empr_tx_fone]!=''){
			$br = "<BR>";
		}
		
		$valores[] = array($a[empr_nb_id],$a[empr_tx_nome],$a[empr_tx_cnpj],$a[empr_tx_contato],
		$a[empr_tx_fone].$br.$a[empr_tx_cel]);
		unset($br);
	}
	
	grid::gerar($cabecalho,$valores);
	
}




function verifica_cnpj($cnpj){
	
	
	//VERIFICA SE JA EXITE CPF OU CNPJ JA CADASTRADO COM ESSE NUMERO
	$sql = selecionar('empresa','empr_tx_status',"!inativo"," AND empr_tx_cnpj = '$cnpj' ");
	if( num_linhas($sql) > 0 ){
		
		set_status('CNPJ/CPF Já Cadastrado');
		index();
		exit;
		
	}
	
}




function cadastra_empresa(){
	global $CONFIGURA;
	
	//verifica_cnpj($_POST[cnpj]);


	$campos = array(empr_tx_status,empr_tx_nome,empr_tx_cnpj,empr_tx_estadual,empr_tx_municipal,empr_tx_cnae,
					empr_tx_endereco,empr_tx_numero,empr_tx_complemento,empr_tx_bairro,empr_nb_cidade,empr_tx_cep,
					empr_tx_endereco2,empr_tx_numero2,empr_tx_complemento2,empr_tx_bairro2,empr_nb_cidade2,empr_tx_cep2,
					empr_tx_fone,empr_tx_cel,empr_tx_contato,empr_tx_email,empr_tx_razao,empr_tx_pessoa,
					empr_tx_civil,empr_tx_profissao,empr_tx_natural,
					empr_nb_banco,empr_tx_agencia,empr_tx_conta,empr_tx_cfopNfce,empr_tx_cfopNfe,
					empr_tx_pisProduto,empr_tx_cofinsProduto,empr_tx_ipi,empr_tx_icms,empr_tx_operacao,empr_tx_presenca,empr_tx_crt,empr_tx_aliquota,
					empr_tx_nfeSerie,empr_tx_nfeNumeracao,empr_tx_textoInutilizacao,empr_tx_csc,empr_tx_token,empr_tx_nfceSerie,empr_tx_nfceNumeracao,
					empr_tx_textoCancelamento,empr_tx_comissao,empr_tx_autorizacaoCompra,empr_nb_configuraboleto,empr_tx_impressaoNFCE,empr_tx_impressaoCupom,
					empr_tx_nomeContador,empr_tx_cpfContador,empr_tx_foneContador,empr_tx_emailContador,
					empr_tx_icmsPadrao,empr_tx_percentualDespesasFixas,empr_tx_margemVarejo,empr_tx_margemAtacado);


	
	$valores = array('ativo',$_POST[nome],$_POST[cnpj],$_POST[estadual],$_POST[municipal],$_POST[cnae],
					$_POST[logradouro],$_POST[num],$_POST[complemento],$_POST[bairro],$_POST[cidade],$_POST[cep],
					$_POST[logradouro2],$_POST[num2],$_POST[complemento2],$_POST[bairro2],$_POST[cidade2],$_POST[cep2],
					$_POST[fone],$_POST[cel],$_POST[contato],$_POST[email],$_POST[razao],$_POST[tipo],
					$_POST[civil],$_POST[profissao],$_POST[naturalidade],
					$_POST[banco],$_POST[agencia],$_POST[conta],$_POST[cfopNfce],$_POST[cfopNfe],
					$_POST[pisProduto],$_POST[cofinsProduto],$_POST[ipi],$_POST[icms],$_POST[operacao],$_POST[presenca],$_POST[crt],valor($_POST[aliquota]),
					$_POST[nfeSerie],$_POST[nfeNumeracao],$_POST[textoInutilizacao],$_POST[csc],$_POST[token],$_POST[nfceSerie],$_POST[nfceNumeracao],
					$_POST[textoCancelamento],valor($_POST[comissao]),$_POST[autorizacao],$_POST[conta_bancaria],$_POST[impressaoNFCE],$_POST[impressaoCupom],
					$_POST[nomeCont],$_POST[cpfCont],$_POST[foneCont],$_POST[emailCont],
					valor($_POST[aliquota_icms],1),valor($_POST[despesas_fixas],1),valor($_POST[margem_varejo],1),valor($_POST[margem_atacado],1));
	
	inserir('empresa',$campos,$valores,1);
	
	$_POST[id] = ultimo_reg('empresa');


	for($i=0;$i<10;$i++){

		if($_POST[tipo][$i] == '' || $_POST[titulo][$i] == '' || $_POST[texto][$i]=='')
			continue;
		
		$cam = array('nota_tx_nome','nota_tx_tipo','nota_tx_texto','nota_tx_status');
		$val = array($_POST[titulo][$i],$_POST[tipo][$i],$_POST[texto][$i],'ativo');

		if($_POST[id_info][$i]>0){
			atualizar('notainformacao',$cam,$val,$_POST[id_info][$i]);
		}else{
			$cam[] = 'nota_nb_empresa';
			$val[] = $_POST[id];

			inserir('notainformacao',$cam,$val,1);

		}
	}


	$logomarca = $_FILES['logomarca'];
	if( $logomarca[name] != '') {

		// VALIDA A EXTENÇÃO DA LOGOMARCA
		$path_parts = pathinfo($logomarca[name]);
		if ( $path_parts[extension]!='jpg' ) {
			set_status('ATANÇÃO: Envie um arquivo com a extenção . jpg');
			layout_empresa();
			exit;
		}

		$pasta_logo = $CONFIGURA[PATH].'/galeria/';

		if ( file_exists('../'.$pasta_logo.'logo.jpg') ) {
			// SE A LOGO EXISTIR, ELA DEVE SER EXCLUÍDA
			unlink('../'.$pasta_logo.'logo.jpg');
		}

		$msg_rg = @enviar('logomarca',$pasta_logo.'logo');
		if( bd_erro($msg_rg) ) {
			// SE NÃO ENVIOU O ARQUIVO
			set_status('ERRO: Falha ao enviar a logomarca!');
		}
	}
		
	
	
	index();
	exit;
	
}





function atualiza_empresa(){
	global $CONFIGURA;
	
	$a = carregar('empr_nb_id|empresa',$_POST[id]);
	
	//$campos=array(empr_tx_nome);
	//$valores=array($_POST[nome]);
	//atualizar('empresa',$campos,$valores,$a[empr_nb_id]);
	

	
	$campos = array(empr_tx_status,empr_tx_nome,empr_tx_cnpj,empr_tx_estadual,empr_tx_municipal,empr_tx_cnae,
					empr_tx_endereco,empr_tx_numero,empr_tx_complemento,empr_tx_bairro,empr_nb_cidade,empr_tx_cep,
					empr_tx_endereco2,empr_tx_numero2,empr_tx_complemento2,empr_tx_bairro2,empr_nb_cidade2,empr_tx_cep2,
					empr_tx_fone,empr_tx_cel,empr_tx_contato,empr_tx_email,empr_tx_razao,empr_tx_pessoa,
					empr_tx_civil,empr_tx_profissao,empr_tx_natural,
					empr_nb_banco,empr_tx_agencia,empr_tx_conta,empr_tx_cfopNfce,empr_tx_cfopNfe,
					empr_tx_pisProduto,empr_tx_cofinsProduto,empr_tx_ipi,empr_tx_icms,empr_tx_operacao,empr_tx_presenca,empr_tx_crt,empr_tx_aliquota,
					empr_tx_nfeSerie,empr_tx_nfeNumeracao,empr_tx_textoInutilizacao,empr_tx_csc,empr_tx_token,empr_tx_nfceSerie,empr_tx_nfceNumeracao,
					empr_tx_textoCancelamento,empr_tx_comissao,empr_tx_autorizacaoCompra,empr_nb_configuraboleto,empr_tx_impressaoNFCE,empr_tx_impressaoCupom,
					empr_tx_nomeContador,empr_tx_cpfContador,empr_tx_foneContador,empr_tx_emailContador,
					empr_tx_icmsPadrao,empr_tx_percentualDespesasFixas,empr_tx_margemVarejo,empr_tx_margemAtacado);


	
	$valores = array('ativo',$_POST[nome],$_POST[cnpj],$_POST[estadual],$_POST[municipal],$_POST[cnae],
					$_POST[logradouro],$_POST[num],$_POST[complemento],$_POST[bairro],$_POST[cidade],$_POST[cep],
					$_POST[logradouro2],$_POST[num2],$_POST[complemento2],$_POST[bairro2],$_POST[cidade2],$_POST[cep2],
					$_POST[fone],$_POST[cel],$_POST[contato],$_POST[email],$_POST[razao],$_POST[tipo],
					$_POST[civil],$_POST[profissao],$_POST[naturalidade],
					$_POST[banco],$_POST[agencia],$_POST[conta],$_POST[cfopNfce],$_POST[cfopNfe],
					$_POST[pisProduto],$_POST[cofinsProduto],$_POST[ipi],$_POST[icms],$_POST[operacao],$_POST[presenca],$_POST[crt],valor($_POST[aliquota]),
					$_POST[nfeSerie],$_POST[nfeNumeracao],$_POST[textoInutilizacao],$_POST[csc],$_POST[token],$_POST[nfceSerie],$_POST[nfceNumeracao],
					$_POST[textoCancelamento],valor($_POST[comissao]),$_POST[autorizacao],$_POST[conta_bancaria],$_POST[impressaoNFCE],$_POST[impressaoCupom],
					$_POST[nomeCont],$_POST[cpfCont],$_POST[foneCont],$_POST[emailCont],
					valor($_POST[aliquota_icms],1),valor($_POST[despesas_fixas],1),valor($_POST[margem_varejo],1),valor($_POST[margem_atacado],1));
	
	@atualizar('empresa',$campos,$valores,$_POST[id]);


	for($i=0;$i<10;$i++){

		if($_POST[tipo][$i] == '' || $_POST[titulo][$i] == '' || $_POST[texto][$i]=='')
			continue;

		$cam = array('nota_tx_nome','nota_tx_tipo','nota_tx_texto','nota_tx_status');
		$val = array($_POST[titulo][$i],$_POST[tipo][$i],$_POST[texto][$i],'ativo');

		if($_POST[id_info][$i]>0){
			atualizar('notainformacao',$cam,$val,$_POST[id_info][$i]);
		}else{
			$cam[] = 'nota_nb_empresa';
			$val[] = $_POST[id];

			inserir('notainformacao',$cam,$val,1);
		}
	}


	$logomarca = $_FILES['logomarca'];
	if( $logomarca[name] != '') {

		// VALIDA A EXTENÇÃO DA LOGOMARCA
		$path_parts = pathinfo($logomarca[name]);
		if ( $path_parts[extension]!='jpg' ) {
			set_status('ATANÇÃO: Envie um arquivo com a extenção . jpg');
			modifica_empresa();
			exit;
		}

		$pasta_logo = $CONFIGURA[PATH].'/galeria/';

		if ( file_exists('../'.$pasta_logo.'logo.jpg') ) {
			// SE A LOGO EXISTIR, ELA DEVE SER EXCLUÍDA
			unlink('../'.$pasta_logo.'logo.jpg');
		}

		$msg_rg = @enviar('logomarca',$pasta_logo.'logo');
		if( bd_erro($msg_rg) ) {
			// SE NÃO ENVIOU O ARQUIVO
			set_status('ERRO: Falha ao enviar a logomarca!');
		}
	}
		
	
	index();
	exit;
	
}




function modifica_empresa(){
	
	global $a_mod;
	global $a_mod_cida;
	global $a_mod_bair;
	global $a_mod_cida2;
	global $a_mod_bair2;
	
	$a_mod = carregar('empresa',$_POST[id]);
	
	if($a_mod[empr_nb_cidade]!='') {
		$a_mod_cida = carregar('cidade',$a_mod[empr_nb_cidade]);
		$a_mod_cida[cida_tx_nome] = $a_mod_cida[cida_tx_nome]."/".$a_mod_cida[cida_tx_uf];
	}
	
	
	if($a_mod[empr_nb_cidade2]!='') {
		$a_mod_cida2 = carregar('cidade',$a_mod[empr_nb_cidade2]);
		$a_mod_cida2[cida_tx_nome] = $a_mod_cida2[cida_tx_nome]."/".$a_mod_cida2[cida_tx_uf];
	}
	
	if($a_mod[empr_nb_bairro2]!='')
		$a_mod_bair2 = carregar('bairro',$a_mod[empr_nb_bairro2]);
	
	layout_empresa();
	
	
}




function exclui_empresa(){

	$a = carregar('empr_nb_id|empresa',$_POST[id]);
	
	remover('empresa',$_POST[id]);
	//remover('empresa',$a[empr_nb_id]);
	
	index();
}




function excluir_logo(){
	global $CONFIGURA;


	$url_logo = '../'.$CONFIGURA[PATH].'/galeria/logo.jpg';
	if ( file_exists($url_logo) ) {
		unlink($url_logo);
		set_status('Arquivo excluído com sucesso!');
	} else {
		set_status('O arquivo não existe!');
	}

	modifica_empresa();
	exit;
}




controle();

?>